Detect a framework
curl --request POST \
--url https://api.brimble.io/core/v1/frameworks \
--header 'Content-Type: application/json' \
--data '{
"data": {}
}'import requests
url = "https://api.brimble.io/core/v1/frameworks"
payload = { "data": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};
fetch('https://api.brimble.io/core/v1/frameworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {}
}{
"message": "Project not found",
"data": {}
}Catalog
Detect a framework
Detects the framework from a package.json or a list of file paths. No authentication required.
POST
/
v1
/
frameworks
Detect a framework
Query Parameters
What data contains.
Available options:
packageJson, files Body
application/json
The parsed package.json object when type is packageJson, or an array of file paths when type is files.
Last modified on October 10, 2026
Was this page helpful?